> For the complete documentation index, see [llms.txt](https://docs.abtasty.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.abtasty.com/recommendation-api-reference/reference/fastapi.md).

# FastAPI

## GET /

> Root

```json
{"openapi":"3.1.0","info":{"title":"FastAPI","version":"0.1.0"},"paths":{"/":{"get":{"summary":"Root","operationId":"root__get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}}}}
```

## GET /health\_check

> Health Check

```json
{"openapi":"3.1.0","info":{"title":"FastAPI","version":"0.1.0"},"paths":{"/health_check":{"get":{"summary":"Health Check","operationId":"health_check_health_check_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}}}}
```

## Get Recos

> Route to get recommendations from \`d\` level tables. Recommendation is fetched either from:\
> &#x20;   \- Redis: cache recommendation layer with a 6 hours TTL\
> &#x20;   \- Bigtable: pre-computed recommendations activated manually by a superuser on client's side. It' called "boost" mode.\
> &#x20;               Reco is computed for every available variable. For now it can be activated for reco with one variable only.\
> &#x20;   \- ClickHouse when a new query is required to get fresh recommendations\
> \<br>\
> :param site\_id: the client for which to fetch the recommendations\
> :param recos\_id: UUID for the recommendation created by the client.\
> :param variables: a dictionary provided by the client to provided context. Example:\
> &#x20;                 {\
> &#x20;                   "last\_order\_items": \["5064176"],\
> &#x20;                   "viewing\_item": "5064176",\
> &#x20;                   "most\_expensive\_cart\_item": "5064160",\
> &#x20;                   "most\_expensive\_order\_item": "5064160"\
> &#x20;                 }\
> :param fields: the fields from reco table the client wants to fetch\
> :param output\_format: the format to get the data. Default to JSON.\
> :param delimiter: when output format is CSV you can specify a delimiter\
> :param abtest\_group: Parameter used to set the abtest\_group. Default to None.\
> :return:

```json
{"openapi":"3.1.0","info":{"title":"FastAPI","version":"0.1.0"},"security":[{"APIKeyHeader":[]}],"components":{"securitySchemes":{"APIKeyHeader":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/{site_id}/recos/{recos_id}":{"get":{"summary":"Get Recos","description":"Route to get recommendations from `d` level tables. Recommendation is fetched either from:\n    - Redis: cache recommendation layer with a 6 hours TTL\n    - Bigtable: pre-computed recommendations activated manually by a superuser on client's side. It' called \"boost\" mode.\n                Reco is computed for every available variable. For now it can be activated for reco with one variable only.\n    - ClickHouse when a new query is required to get fresh recommendations\n<br>\n:param site_id: the client for which to fetch the recommendations\n:param recos_id: UUID for the recommendation created by the client.\n:param variables: a dictionary provided by the client to provided context. Example:\n                  {\n                    \"last_order_items\": [\"5064176\"],\n                    \"viewing_item\": \"5064176\",\n                    \"most_expensive_cart_item\": \"5064160\",\n                    \"most_expensive_order_item\": \"5064160\"\n                  }\n:param fields: the fields from reco table the client wants to fetch\n:param output_format: the format to get the data. Default to JSON.\n:param delimiter: when output format is CSV you can specify a delimiter\n:param abtest_group: Parameter used to set the abtest_group. Default to None.\n:return:","operationId":"get_recos__site_id__recos__recos_id__get","parameters":[{"name":"site_id","in":"path","required":true,"schema":{"type":"integer","title":"Site Id"}},{"name":"recos_id","in":"path","required":true,"schema":{"type":"string","description":"Recommendations id.","title":"Recos Id"},"description":"Recommendations id."},{"name":"variables","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Variables of the query represented as a JSON string","title":"Variables"},"description":"Variables of the query represented as a JSON string"},{"name":"fields","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"description":"Item fields which should be returned by the API. Defaults to id","title":"Fields"},"description":"Item fields which should be returned by the API. Defaults to id"},{"name":"output_format","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"format for the output recommendation. Default to JSON","title":"Output Format"},"description":"format for the output recommendation. Default to JSON"},{"name":"delimiter","in":"query","required":false,"schema":{"enum":[",",";","\t","|"],"type":"string","description":"Use the specified delimiter for the output format : comma (,) semicolon (;) tab (%09) pipe (|) ). Default to ; ","default":";","title":"Delimiter"},"description":"Use the specified delimiter for the output format : comma (,) semicolon (;) tab (%09) pipe (|) ). Default to ; "}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## GET /{site\_id}/recos/{recos\_id}/infos

> Get Recos Infos

```json
{"openapi":"3.1.0","info":{"title":"FastAPI","version":"0.1.0"},"security":[{"APIKeyHeader":[]}],"components":{"securitySchemes":{"APIKeyHeader":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/{site_id}/recos/{recos_id}/infos":{"get":{"summary":"Get Recos Infos","operationId":"get_recos_infos__site_id__recos__recos_id__infos_get","parameters":[{"name":"site_id","in":"path","required":true,"schema":{"type":"integer","title":"Site Id"}},{"name":"recos_id","in":"path","required":true,"schema":{"type":"string","description":"Recommendations id.","title":"Recos Id"},"description":"Recommendations id."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## GET /{site\_id}/merch/category\_id/{category\_id}

> Get Merch By Site And Category

```json
{"openapi":"3.1.0","info":{"title":"FastAPI","version":"0.1.0"},"security":[{"APIKeyHeader":[]}],"components":{"securitySchemes":{"APIKeyHeader":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/{site_id}/merch/category_id/{category_id}":{"get":{"summary":"Get Merch By Site And Category","operationId":"get_merch_by_site_and_category__site_id__merch_category_id__category_id__get","parameters":[{"name":"site_id","in":"path","required":true,"schema":{"type":"integer","title":"Site Id"}},{"name":"category_id","in":"path","required":true,"schema":{"type":"string","description":"Category id.","title":"Category Id"},"description":"Category id."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## GET /{site\_id}/recos/{recos\_id}/debug

> Debug Recos

```json
{"openapi":"3.1.0","info":{"title":"FastAPI","version":"0.1.0"},"security":[{"APIKeyHeader":[]}],"components":{"securitySchemes":{"APIKeyHeader":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/{site_id}/recos/{recos_id}/debug":{"get":{"summary":"Debug Recos","operationId":"debug_recos__site_id__recos__recos_id__debug_get","parameters":[{"name":"site_id","in":"path","required":true,"schema":{"type":"integer","title":"Site Id"}},{"name":"recos_id","in":"path","required":true,"schema":{"type":"string","description":"Recommendations id.","title":"Recos Id"},"description":"Recommendations id."},{"name":"variables","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Variables of the query represented as a JSON string","title":"Variables"},"description":"Variables of the query represented as a JSON string"},{"name":"fields","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"description":"Item fields which should be returned by the API. Defaults to id","title":"Fields"},"description":"Item fields which should be returned by the API. Defaults to id"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## POST /{site\_id}/recos

> Get Recos From Query

```json
{"openapi":"3.1.0","info":{"title":"FastAPI","version":"0.1.0"},"security":[{"APIKeyHeader":[]}],"components":{"securitySchemes":{"APIKeyHeader":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"RecoQuery":{"properties":{"name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name","default":"n/a"},"rules":{"additionalProperties":true,"type":"object","title":"Rules"},"parameters":{"additionalProperties":true,"type":"object","title":"Parameters"}},"type":"object","required":["rules","parameters"],"title":"RecoQuery"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/{site_id}/recos":{"post":{"summary":"Get Recos From Query","operationId":"get_recos_from_query__site_id__recos_post","parameters":[{"name":"site_id","in":"path","required":true,"schema":{"type":"integer","title":"Site Id"}},{"name":"variables","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Variables of the query represented as a JSON string","title":"Variables"},"description":"Variables of the query represented as a JSON string"},{"name":"fields","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"description":"Item fields which should be returned by the API. Defaults to id","title":"Fields"},"description":"Item fields which should be returned by the API. Defaults to id"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RecoQuery"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## GET /{site\_id}/merch/{merch\_id}

> Get Merch

```json
{"openapi":"3.1.0","info":{"title":"FastAPI","version":"0.1.0"},"security":[{"APIKeyHeader":[]}],"components":{"securitySchemes":{"APIKeyHeader":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/{site_id}/merch/{merch_id}":{"get":{"summary":"Get Merch","operationId":"get_merch__site_id__merch__merch_id__get","parameters":[{"name":"site_id","in":"path","required":true,"schema":{"type":"integer","title":"Site Id"}},{"name":"merch_id","in":"path","required":true,"schema":{"type":"string","description":"Emerch id.","title":"Merch Id"},"description":"Emerch id."},{"name":"variables","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Variables of the query represented as a JSON string","title":"Variables"},"description":"Variables of the query represented as a JSON string"},{"name":"fields","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"description":"Item fields which should be returned by the API. Defaults to id","title":"Fields"},"description":"Item fields which should be returned by the API. Defaults to id"},{"name":"output_format","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"format for the output recommendation. Default to JSON","title":"Output Format"},"description":"format for the output recommendation. Default to JSON"},{"name":"delimiter","in":"query","required":false,"schema":{"enum":[",",";","\t","|"],"type":"string","description":"Use the specified delimiter for the output format : comma (,) semicolon (;) tab (%09) pipe (|) ). Default to ; ","default":";","title":"Delimiter"},"description":"Use the specified delimiter for the output format : comma (,) semicolon (;) tab (%09) pipe (|) ). Default to ; "}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## POST /{site\_id}/merch

> Get Merch From Query

```json
{"openapi":"3.1.0","info":{"title":"FastAPI","version":"0.1.0"},"security":[{"APIKeyHeader":[]}],"components":{"securitySchemes":{"APIKeyHeader":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"MerchQuery":{"properties":{"name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name","default":"n/a"},"rules":{"additionalProperties":true,"type":"object","title":"Rules"},"parameters":{"additionalProperties":true,"type":"object","title":"Parameters"},"items_rules":{"additionalProperties":true,"type":"object","title":"Items Rules"},"items_parameters":{"additionalProperties":true,"type":"object","title":"Items Parameters"}},"type":"object","required":["rules","parameters","items_rules","items_parameters"],"title":"MerchQuery"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/{site_id}/merch":{"post":{"summary":"Get Merch From Query","operationId":"get_merch_from_query__site_id__merch_post","parameters":[{"name":"site_id","in":"path","required":true,"schema":{"type":"integer","title":"Site Id"}},{"name":"variables","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Variables of the query represented as a JSON string","title":"Variables"},"description":"Variables of the query represented as a JSON string"},{"name":"fields","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"description":"Item fields which should be returned by the API. Defaults to id","title":"Fields"},"description":"Item fields which should be returned by the API. Defaults to id"},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Limit of the query","title":"Limit"},"description":"Limit of the query"},{"name":"offset","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Offset of the query","default":0,"title":"Offset"},"description":"Offset of the query"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchQuery"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## POST /{site\_id}/recos/template/{template\_uuid}

> Get Recos Templated From Query

```json
{"openapi":"3.1.0","info":{"title":"FastAPI","version":"0.1.0"},"security":[{"APIKeyHeader":[]}],"components":{"securitySchemes":{"APIKeyHeader":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"RecoQuery":{"properties":{"name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name","default":"n/a"},"rules":{"additionalProperties":true,"type":"object","title":"Rules"},"parameters":{"additionalProperties":true,"type":"object","title":"Parameters"}},"type":"object","required":["rules","parameters"],"title":"RecoQuery"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/{site_id}/recos/template/{template_uuid}":{"post":{"summary":"Get Recos Templated From Query","operationId":"get_recos_templated_from_query__site_id__recos_template__template_uuid__post","parameters":[{"name":"site_id","in":"path","required":true,"schema":{"type":"integer","title":"Site Id"}},{"name":"template_uuid","in":"path","required":true,"schema":{"type":"string","description":"Template uuid.","title":"Template Uuid"},"description":"Template uuid."},{"name":"variables","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Variables of the query represented as a JSON string","title":"Variables"},"description":"Variables of the query represented as a JSON string"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RecoQuery"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## POST /{site\_id}/template/recos/{recos\_id}

> Get Templated From Query

```json
{"openapi":"3.1.0","info":{"title":"FastAPI","version":"0.1.0"},"security":[{"APIKeyHeader":[]}],"components":{"securitySchemes":{"APIKeyHeader":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"TemplateQuery":{"properties":{"name":{"type":"string","title":"Name"},"html":{"type":"string","title":"Html"},"params":{"additionalProperties":true,"type":"object","title":"Params"}},"type":"object","required":["name","html","params"],"title":"TemplateQuery"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/{site_id}/template/recos/{recos_id}":{"post":{"summary":"Get Templated From Query","operationId":"get_templated_from_query__site_id__template_recos__recos_id__post","parameters":[{"name":"site_id","in":"path","required":true,"schema":{"type":"integer","title":"Site Id"}},{"name":"recos_id","in":"path","required":true,"schema":{"type":"string","description":"Recommendations id.","title":"Recos Id"},"description":"Recommendations id."},{"name":"variables","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Variables of the query represented as a JSON string","title":"Variables"},"description":"Variables of the query represented as a JSON string"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TemplateQuery"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## GET /{site\_id}/template/{template\_uuid}/recos/{recos\_id}

> Get Template

```json
{"openapi":"3.1.0","info":{"title":"FastAPI","version":"0.1.0"},"security":[{"APIKeyHeader":[]}],"components":{"securitySchemes":{"APIKeyHeader":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/{site_id}/template/{template_uuid}/recos/{recos_id}":{"get":{"summary":"Get Template","operationId":"get_template__site_id__template__template_uuid__recos__recos_id__get","parameters":[{"name":"site_id","in":"path","required":true,"schema":{"type":"integer","title":"Site Id"}},{"name":"template_uuid","in":"path","required":true,"schema":{"type":"string","description":"Template uuid.","title":"Template Uuid"},"description":"Template uuid."},{"name":"recos_id","in":"path","required":true,"schema":{"type":"string","description":"Recommendations id.","title":"Recos Id"},"description":"Recommendations id."},{"name":"variables","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Variables of the query represented as a JSON string","title":"Variables"},"description":"Variables of the query represented as a JSON string"}],"responses":{"200":{"description":"Successful Response","content":{"text/html":{"schema":{"type":"string"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## GET /{site\_id}/template/{template\_uuid}/infos

> Get Template Infos

```json
{"openapi":"3.1.0","info":{"title":"FastAPI","version":"0.1.0"},"security":[{"APIKeyHeader":[]}],"components":{"securitySchemes":{"APIKeyHeader":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/{site_id}/template/{template_uuid}/infos":{"get":{"summary":"Get Template Infos","operationId":"get_template_infos__site_id__template__template_uuid__infos_get","parameters":[{"name":"site_id","in":"path","required":true,"schema":{"type":"integer","title":"Site Id"}},{"name":"template_uuid","in":"path","required":true,"schema":{"type":"string","description":"Template Uuid.","title":"Template Uuid"},"description":"Template Uuid."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.abtasty.com/recommendation-api-reference/reference/fastapi.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
